Archive for December, 2010

NVIDIA FX5200 driver settings from Maverick 10.10 backend install

December 21, 2010

Some notes just for future Ubuntu upgrades:

mythtv@hippo:/proc/driver/nvidia$ l
total 0
dr-xr-xr-x 4 root root 0 2010-12-21 12:06 ..
dr-xr-xr-x 6 root root 0 2010-12-21 12:06 .
dr-xr-xr-x 2 root root 0 2010-12-21 12:06 warnings
-r–r–r– 1 root root 0 2010-12-21 12:06 version
-r–r–r– 1 root root 0 2010-12-21 12:06 registry
dr-xr-xr-x 2 root root 0 2010-12-21 12:06 patches
dr-xr-xr-x 2 root root 0 2010-12-21 12:06 cards
dr-xr-xr-x 2 root root 0 2010-12-21 12:06 agp

mythtv@hippo:/proc/driver/nvidia$ cat version
NVRM version: NVIDIA UNIX x86 Kernel Module 173.14.28 Wed Sep 29 09:47:25 PDT 2010
GCC version: gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5)

mythtv@hippo:/proc/driver/nvidia$ cat cards/0
Model: GeForce FX 5200
IRQ: 10
Video BIOS: 04.34.20.18.07
Card Type: AGP
DMA Size: 32 bits
DMA Mask: 0xffffffff
Bus Location: 01.00.0
mythtv@hippo:/proc/driver/nvidia$

mythtv@hippo:/etc/apt/sources.list.d$ uname -a
Linux hippo 2.6.35-24-generic #42-Ubuntu SMP Thu Dec 2 01:41:57 UTC 2010 i686 GNU/Linux

mythtv@hippo:/etc/apt/sources.list.d$ ls -ls /var/lib/dkms/nvidia-173/173.14.28/2.6.35-24-generic/i686/module/nvidia-173.ko

7692 -rw-r–r– 1 root root 7875104 2010-12-20 18:29 /var/lib/dkms/nvidia-173/173.14.28/2.6.35-24-generic/i686/module/nvidia-173.ko

mythtv@hippo:/etc/apt/sources.list.d$ modinfo /var/lib/dkms/nvidia-173/173.14.28/2.6.35-24-generic/i686/module/nvidia-173.ko
filename: /var/lib/dkms/nvidia-173/173.14.28/2.6.35-24-generic/i686/module/nvidia-173.ko
alias: char-major-195-*
supported: external
license: NVIDIA
alias: pci:v000010DEd*sv*sd*bc03sc02i00*
alias: pci:v000010DEd*sv*sd*bc03sc00i00*
depends: agpgart
vermagic: 2.6.35-24-generic SMP mod_unload modversions 686
parm: NVreg_EnableVia4x:int
parm: NVreg_EnableALiAGP:int
parm: NVreg_ReqAGPRate:int
parm: NVreg_EnableAGPSBA:int
parm: NVreg_EnableAGPFW:int
parm: NVreg_Mobile:int
parm: NVreg_ResmanDebugLevel:int
parm: NVreg_RmLogonRC:int
parm: NVreg_ModifyDeviceFiles:int
parm: NVreg_DeviceFileUID:int
parm: NVreg_DeviceFileGID:int
parm: NVreg_DeviceFileMode:int
parm: NVreg_RemapLimit:int
parm: NVreg_UpdateMemoryTypes:int
parm: NVreg_UseVBios:int
parm: NVreg_RMEdgeIntrCheck:int
parm: NVreg_UsePageAttributeTable:int
parm: NVreg_MapRegistersEarly:int
parm: NVreg_RegistryDwords:charp
parm: NVreg_NvAGP:int
mythtv@hippo:/etc/apt/sources.list.d$

mythtv@hippo:/etc/apt/sources.list.d$ modinfo /lib/modules/2.6.35-24-generic/kernel/drivers/video/nvidia.ko
filename: /lib/modules/2.6.35-24-generic/kernel/drivers/video/nvidia.ko
alias: char-major-195-*
supported: external
license: NVIDIA
alias: pci:v000010DEd*sv*sd*bc03sc02i00*
alias: pci:v000010DEd*sv*sd*bc03sc00i00*
depends: agpgart
vermagic: 2.6.35-24-generic SMP mod_unload modversions 686
parm: NVreg_EnableVia4x:int
parm: NVreg_EnableALiAGP:int
parm: NVreg_ReqAGPRate:int
parm: NVreg_EnableAGPSBA:int
parm: NVreg_EnableAGPFW:int
parm: NVreg_Mobile:int
parm: NVreg_ResmanDebugLevel:int
parm: NVreg_RmLogonRC:int
parm: NVreg_ModifyDeviceFiles:int
parm: NVreg_DeviceFileUID:int
parm: NVreg_DeviceFileGID:int
parm: NVreg_DeviceFileMode:int
parm: NVreg_RemapLimit:int
parm: NVreg_UpdateMemoryTypes:int
parm: NVreg_UseVBios:int
parm: NVreg_RMEdgeIntrCheck:int
parm: NVreg_UsePageAttributeTable:int
parm: NVreg_MapRegistersEarly:int
parm: NVreg_RegistryDwords:charp
parm: NVreg_NvAGP:int
mythtv@hippo:/etc/apt/sources.list.d$

mythtv@hippo:/etc/apt/sources.list.d$ dpkg -l libvdp*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Description
+++-=================================-=================================-==================================================================================
ii libvdpau-dev 0.4-5ubuntu1 Video Decode and Presentation API for Unix (development files)
ii libvdpau-doc 0.4-5ubuntu1 Video Decode and Presentation API for Unix (documentation)
ii libvdpau1 0.4-5ubuntu1 Video Decode and Presentation API for Unix (libraries)
mythtv@hippo:/etc/apt/sources.list.d$ dpkg -l nvidia*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Description
+++-=================================-=================================-==================================================================================
ii nvidia-173 173.14.28-0ubuntu1 NVIDIA binary Xorg driver, kernel module and VDPAU library
un nvidia-173-dev (no description available)
un nvidia-173-modaliases (no description available)
un nvidia-185-libvdpau (no description available)
un nvidia-185-libvdpau-dev (no description available)
un nvidia-96-modaliases (no description available)
rc nvidia-common 0.2.23 Find obsolete NVIDIA drivers
rc nvidia-current 260.19.06-0ubuntu1 NVIDIA binary Xorg driver, kernel module and VDPAU library
un nvidia-current-dev (no description available)
un nvidia-current-modaliases (no description available)
un nvidia-glx-173 (no description available)
un nvidia-libvdpau (no description available)
un nvidia-libvdpau-dev (no description available)
un nvidia-libvdpau-ia32 (no description available)
un nvidia-libvdpau1 (no description available)
un nvidia-libvdpau1-ia32 (no description available)
ii nvidia-settings 260.19.29-0ubuntu1~xup Tool of configuring the NVIDIA graphics driver
un nvidia-vdpau-driver (no description available)
mythtv@hippo:/etc/apt/sources.list.d$ lsmod|grep nvidia
nvidia 7088432 24
agpgart 32011 2 nvidia,via_agp
mythtv@hippo:/etc/apt/sources.list.d$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 10.10
Release: 10.10
Codename: maverick
mythtv@hippo:/etc/apt/sources.list.d$ dpkg -l mythtv*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Description
+++-=================================-=================================-==================================================================================
ii mythtv 0.23.1+fixes26437-0ubuntu1 A personal video recorder application (client and server)
ii mythtv-backend 0.23.1+fixes26437-0ubuntu1 A personal video recorder application (server)
ii mythtv-common 0.23.1+fixes26437-0ubuntu1 A personal video recorder application (common data)
ii mythtv-database 0.23.1+fixes26437-0ubuntu1 A personal video recorder application (database)
un mythtv-doc (no description available)
ii mythtv-frontend 0.23.1+fixes26437-0ubuntu1 A personal video recorder application (client)
ii mythtv-theme-arclight 1:0.23.0+fixes23872-0ubuntu1 The arclight MythTV Theme
un mythtv-theme-blootube (no description available)
ii mythtv-theme-blootube-osd 1:0.23.0+fixes23872-0ubuntu1 The blootube-osd MythTV Theme
un mythtv-theme-blootube-wide (no description available)
un mythtv-theme-blootubelite-wide (no description available)
ii mythtv-theme-blueosd 1:0.23.0+fixes23872-0ubuntu1 The blueosd MythTV Theme
un mythtv-theme-glass-wide (no description available)
ii mythtv-theme-graphite 1:0.23.0+fixes23872-0ubuntu1 The graphite MythTV Theme
un mythtv-theme-gray-osd (no description available)
un mythtv-theme-isthmus (no description available)
un mythtv-theme-iulius (no description available)
ii mythtv-theme-iulius-osd 1:0.23.0+fixes23872-0ubuntu1 The iulius-osd MythTV Theme
ii mythtv-theme-metallurgy 1:0.23.0+fixes23872-0ubuntu1 The metallurgy MythTV Theme
un mythtv-theme-minimalist-wide (no description available)
ii mythtv-theme-mono-osd 1:0.23.0+fixes23872-0ubuntu1 The mono-osd MythTV Theme
ii mythtv-theme-mythbuntu 1:0.23.0+fixes23872-0ubuntu1 The mythbuntu MythTV Theme
un mythtv-theme-mythcenter (no description available)
un mythtv-theme-mythcenter-wide (no description available)
un mythtv-theme-neon-wide (no description available)
un mythtv-theme-proejctgrayhem-wide (no description available)
un mythtv-theme-projectgrayhem (no description available)
ii mythtv-theme-projectgrayhem-osd 1:0.23.0+fixes23872-0ubuntu1 The projectgrayhem-osd MythTV Theme
un mythtv-theme-retro (no description available)
ii mythtv-theme-retro-osd 1:0.23.0+fixes23872-0ubuntu1 The retro-osd MythTV Theme
un mythtv-theme-titivillus (no description available)
ii mythtv-theme-titivillus-osd 1:0.23.0+fixes23872-0ubuntu1 The titivillus-osd MythTV Theme
ii mythtv-themes 1:0.23.0+fixes23872-0ubuntu1 Themes for MythTV
ii mythtv-transcode-utils 0.23.1+fixes26437-0ubuntu1 Utilities used for transcoding MythTV tasks
mythtv@hippo:/etc/apt/sources.list.d$

How to get mythfrontend from maverick PPA to work on LinuxMint Isadora with Maverick 10.10 backend

December 21, 2010

Sometimes I use underpowered laptop running Mint Isadora (fluxbox WM) to watch mythtv recordings. My backend runs Maverick 10.10 Ubuntu.

Mint Isadora’s code base is Ubuntu 10.04 (Lucid).

Frontend on laptop:

pompeli sources.list.d # lsb_release -a
No LSB modules are available.
Distributor ID: LinuxMint
Description: Linux Mint 9 Isadora
Release: 9
Codename: isadora
pompeli sources.list.d # pwd
/etc/apt/sources.list.d
pompeli sources.list.d #

Add this:

pompeli sources.list.d # cat mythbuntu-0.23.1-isadora.list
deb http://ppa.launchpad.net/mythbuntu/0.23.1/ubuntu lucid main
pompeli sources.list.d #

Usual stuff:

pompeli ~ # apt-get update
Fetched 79.7kB in 4s (17.9kB/s)
Reading package lists… Done

First remove old non-compatible version:

pompeli ~ # apt-get remove mythtv-frontend
Reading package lists… Done
Building dependency tree
Reading state information… Done
The following packages were automatically installed and are no longer required:
pwgen mythtv-common libmyth-0.23-0 wmctrl libvdpau1 ttf-droid
Use ‘apt-get autoremove’ to remove them.
The following packages will be REMOVED:
mythtv-frontend
0 upgraded, 0 newly installed, 1 to remove and 9 not upgraded.
After this operation, 12.9MB disk space will be freed.
Do you want to continue [Y/n]?
(Reading database … 128305 files and directories currently installed.)
Removing mythtv-frontend …
Processing triggers for menu …
Processing triggers for desktop-file-utils …

Install new:

pompeli ~ # apt-get install mythtv-frontend
Reading package lists… Done
Building dependency tree
Reading state information… Done
The following extra packages will be installed:
libmyth-0.23-0
Suggested packages:
mythtv-backend mythmusic mythweather mythgallery mythvideo mythgame
The following NEW packages will be installed:
mythtv-frontend
The following packages will be upgraded:
libmyth-0.23-0
1 upgraded, 1 newly installed, 0 to remove and 8 not upgraded.
Need to get 14.7MB of archives.
After this operation, 12.9MB of additional disk space will be used.
Do you want to continue [Y/n]?
WARNING: The following packages cannot be authenticated!
libmyth-0.23-0 mythtv-frontend
Authentication warning overridden.
Get:1 http://ppa.launchpad.net/mythbuntu/0.23.1/ubuntu/ lucid/main libmyth-0.23-0 0.23.1+fixes26863-0ubuntu0+mythbuntu2 [10.7MB]
Get:2 http://ppa.launchpad.net/mythbuntu/0.23.1/ubuntu/ lucid/main mythtv-frontend 0.23.1+fixes26863-0ubuntu0+mythbuntu2 [3,964kB]
Fetched 14.7MB in 1min 30s (163kB/s)
Preconfiguring packages …
(Reading database … 128250 files and directories currently installed.)
Preparing to replace libmyth-0.23-0 0.23.0++fixes25362-0ubuntu0++mythbuntu2 (using …/libmyth-0.23-0_0.23.1+fixes26863-0ubuntu0+mythbuntu2_i386.deb) …
Unpacking replacement libmyth-0.23-0 …
Selecting previously deselected package mythtv-frontend.
Unpacking mythtv-frontend (from …/mythtv-frontend_0.23.1+fixes26863-0ubuntu0+mythbuntu2_i386.deb) …
Processing triggers for menu …
Processing triggers for desktop-file-utils …
Setting up libmyth-0.23-0 (0.23.1+fixes26863-0ubuntu0+mythbuntu2) …

Setting up mythtv-frontend (0.23.1+fixes26863-0ubuntu0+mythbuntu2) …

Processing triggers for libc-bin …
ldconfig deferred processing now taking place
Processing triggers for menu …

Check version:

mythtv@pompeli:~$ mythfrontend –version
xprop: unable to open display ”
Please attach all output as a file in bug reports.
MythTV Version : 26863
MythTV Branch : branches/release-0-23-fixes
Network Protocol : 23056
Library API : 0.23.1.201000710-1
QT Version : 4.6.2
Options compiled in:
linux debug using_oss using_alsa using_pulse using_jack using_pulseoutput using_backend using_dvb using_firewire using_frontend using_glx_proc_addr_arb using_hdhomerun using_hdpvr using_iptv using_ivtv using_joystick_menu using_libudev using_lirc using_mheg using_opengl_video using_opengl_vsync using_qtdbus using_qtwebkit using_v4l using_x11 using_xrandr using_xv using_xvmc using_xvmc_vld using_xvmcw using_bindings_perl using_bindings_python using_opengl using_vdpau using_ffmpeg_threads using_libavc_5_3 using_live using_mheg
mythtv@pompeli:~$

Matches backend version:

mythtv@hippo:~$ mythfrontend –version
xprop: unable to open display ”
Please attach all output as a file in bug reports.
MythTV Version : 26437
MythTV Branch : branches/release-0-23-fixes
Network Protocol : 23056
Library API : 0.23.1.201000710-1
QT Version : 4.7.0
Options compiled in:
linux debug using_oss using_alsa using_pulse using_jack using_pulseoutput using_backend using_dvb using_firewire using_frontend using_glx_proc_addr_arb using_hdhomerun using_hdpvr using_iptv using_ivtv using_joystick_menu using_libudev using_lirc using_mheg using_opengl_video using_opengl_vsync using_qtdbus using_qtwebkit using_v4l using_x11 using_xrandr using_xv using_xvmc using_xvmc_vld using_xvmcw using_bindings_perl using_bindings_python using_opengl using_vdpau using_ffmpeg_threads using_libavc_5_3 using_live using_mheg
mythtv@hippo:~$

mythtv@hippo:~$ /usr/bin/mythbackend –version
Please attach all output as a file in bug reports.
MythTV Version : 26437
MythTV Branch : branches/release-0-23-fixes
Network Protocol : 23056
Library API : 0.23.1.201000710-1
QT Version : 4.7.0
Options compiled in:
linux debug using_oss using_alsa using_pulse using_jack using_pulseoutput using_backend using_dvb using_firewire using_frontend using_glx_proc_addr_arb using_hdhomerun using_hdpvr using_iptv using_ivtv using_joystick_menu using_libudev using_lirc using_mheg using_opengl_video using_opengl_vsync using_qtdbus using_qtwebkit using_v4l using_x11 using_xrandr using_xv using_xvmc using_xvmc_vld using_xvmcw using_bindings_perl using_bindings_python using_opengl using_vdpau using_ffmpeg_threads using_libavc_5_3 using_live using_mheg
mythtv@hippo:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 10.10
Release: 10.10
Codename: maverick
mythtv@hippo:~$

mythfrontend.real: error while loading shared libraries: libvdpau.so.1

December 21, 2010

UPDATE Dec 2010: I ran into this same problem when updating from 10.4 Lucid to 10.10 Maverick.
The trick is just to reinstall libvdpau1 using synaptic. End update.

There are many users posting reports about this problem and I could not find any real resolutions… Here is a good example:

http://ubuntu-ky.ubuntuforums.org/showthread.php?p=8048972

I think this is what fixed it on my system (I did not take real notes about this):

Uninstall libvdpau

Uninstall nvidia drivers (if any)

Reinstall nvidia drivers

Reinstall libvdpau.

My working pkgs (Ubuntu 10.4 Lucid mythtv 0.23):

root@hippo:~# dpkg -l libvdpau*

Desired=Unknown/Install/Remove/Purge/Hold

| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend

|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)

||/ Name Version Description

ii libvdpau-doc 0.3-2build1 Video Decode and Presentation API for Unix (documentation)

ii libvdpau1 0.3-2build1 Video Decode and Presentation API for Unix (libraries)

root@hippo:~# dpkg -l nvdia*

No packages found matching nvdia*.

root@hippo:~# dpkg -l nvidia*

Desired=Unknown/Install/Remove/Purge/Hold

| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend

|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)

||/ Name Version Description

ii nvidia-173 173.14.22-0ubuntu11 NVIDIA binary Xorg driver, kernel module and VDPAU library

rc nvidia-current 195.36.15-0ubuntu3 NVIDIA binary Xorg driver, kernel module and VDPAU library

ii nvidia-current-modaliases 195.36.15-0ubuntu3 Modaliases for the NVIDIA binary X.Org driver

un nvidia-libvdpau (no description available)

un nvidia-libvdpau-ia32 (no description available)

un nvidia-libvdpau1 (no description available)

ii nvidia-settings 195.36.08-0ubuntu2 Tool of configuring the NVIDIA graphics driver

un nvidia-vdpau-driver (no description available)

root@hippo:~# dpkg -l libvdpau*

Desired=Unknown/Install/Remove/Purge/Hold

| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend

|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)

||/ Name Version Description

ii libvdpau-doc 0.3-2build1 Video Decode and Presentation API for Unix (documentation)

ii libvdpau1 0.3-2build1 Video Decode and Presentation API for Unix (libraries)

root@hippo:~# dpkg -l mythtv*

Desired=Unknown/Install/Remove/Purge/Hold

| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend

|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)

||/ Name Version Description

ii mythtv 0.23.0+fixes24158-0ubuntu2 A personal video recorder application (client and server)

ii mythtv-backend 0.23.0+fixes24158-0ubuntu2 A personal video recorder application (server)

ii mythtv-common 0.23.0+fixes24158-0ubuntu2 A personal video recorder application (common data)

ii mythtv-database 0.23.0+fixes24158-0ubuntu2 A personal video recorder application (database)

un mythtv-doc (no description available)

ii mythtv-frontend 0.23.0+fixes24158-0ubuntu2 A personal video recorder application (client)

ii mythtv-theme-arclight 1:0.23.0+fixes23872-0ubuntu1 The arclight MythTV Theme

un mythtv-theme-blootube (no description available)

ii mythtv-theme-blootube-osd 1:0.23.0+fixes23872-0ubuntu1 The blootube-osd MythTV Theme

un mythtv-theme-blootube-wide (no description available)

un mythtv-theme-blootubelite-wide (no description available)

ii mythtv-theme-blueosd 1:0.23.0+fixes23872-0ubuntu1 The blueosd MythTV Theme

un mythtv-theme-glass-wide (no description available)

ii mythtv-theme-graphite 1:0.23.0+fixes23872-0ubuntu1 The graphite MythTV Theme

un mythtv-theme-gray-osd (no description available)

un mythtv-theme-isthmus (no description available)

un mythtv-theme-iulius (no description available)

ii mythtv-theme-iulius-osd 1:0.23.0+fixes23872-0ubuntu1 The iulius-osd MythTV Theme

ii mythtv-theme-metallurgy 1:0.23.0+fixes23872-0ubuntu1 The metallurgy MythTV Theme

un mythtv-theme-minimalist-wide (no description available)

ii mythtv-theme-mono-osd 1:0.23.0+fixes23872-0ubuntu1 The mono-osd MythTV Theme

ii mythtv-theme-mythbuntu 1:0.23.0+fixes23872-0ubuntu1 The mythbuntu MythTV Theme

un mythtv-theme-mythcenter (no description available)

un mythtv-theme-mythcenter-wide (no description available)

un mythtv-theme-neon-wide (no description available)

un mythtv-theme-proejctgrayhem-wide (no description available)

un mythtv-theme-projectgrayhem (no description available)

ii mythtv-theme-projectgrayhem-osd 1:0.23.0+fixes23872-0ubuntu1 The projectgrayhem-osd MythTV Theme

un mythtv-theme-retro (no description available)

ii mythtv-theme-retro-osd 1:0.23.0+fixes23872-0ubuntu1 The retro-osd MythTV Theme

un mythtv-theme-titivillus (no description available)

ii mythtv-theme-titivillus-osd 1:0.23.0+fixes23872-0ubuntu1 The titivillus-osd MythTV Theme

ii mythtv-themes 1:0.23.0+fixes23872-0ubuntu1 Themes for MythTV

ii mythtv-transcode-utils 0.23.0+fixes24158-0ubuntu2 Utilities used for transcoding MythTV tasks

root@hippo:~#